linux-keystone: 3.13.0-48.73 -proposed tracker

Bug #1540751 reported by Brad Figg on 2016-02-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-48.73 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 02. February 2016 06:00 UTC
kernel-stable-master-bug:1540559
kernel-stable-Certification-testing-end:Tuesday, 02. February 2016 09:01 UTC
kernel-stable-Security-signoff-end:Tuesday, 02. February 2016 09:02 UTC
kernel-stable-Prepare-package-end:Tuesday, 02. February 2016 14:01 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 02. February 2016 14:01 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 04. February 2016 22:04 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Friday, 05. February 2016 00:05 UTC
kernel-stable-Verification-testing-start:Friday, 05. February 2016 00:05 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 05. February 2016 00:05 UTC
kernel-stable-Regression-testing-end:Monday, 08. February 2016 04:01 UTC

CVE References

This tracking bug was opened to be worked from linux-3.13.0-78.122 update (bug 1540559)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu):
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu Trusty):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2016-02-02
summary: - linux-keystone: <version to be filled> -proposed tracker
+ linux-keystone: 3.13.0-48.73 -proposed tracker
description: updated
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in linux-keystone (Ubuntu):
status: New → Invalid
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2016-02-02
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

 linux-keystone | 3.13.0-48.73 | trusty-proposed | source
 linux-meta-keystone | 3.13.0.48.46 | trusty-proposed | source

Brad Figg (brad-figg) on 2016-02-04
description: updated
Brad Figg (brad-figg) on 2016-02-05
description: updated
Ike Panhc (ikepanhc) on 2016-02-08
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2016-02-08
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (9.6 KiB)

This bug was fixed in the package linux-keystone - 3.13.0-49.74

---------------
linux-keystone (3.13.0-49.74) trusty; urgency=low

  [ Luis Henriques ]

  * Rebase to Ubuntu-3.13.0-79.123

  [ Ubuntu: 3.13.0-79.123 ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of full kernel
    credentials
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux-keystone (3.13.0-48.73) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1540751
  * Rebase to Ubuntu-3.13.0-78.122

  [ Ubuntu: 3.13.0-78.122 ]

  * Release Tracking Bug
    - LP: #1540559
  * SAUCE: (no-up) udp: properly support MSG_PEEK with truncated buffers
    - LP: #1527902
  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043
  * Revert "[stable-only] net: add length argument to
    skb_copy_and_csum_datagram_iovec"
    - LP: #1538756
  * unregister_netdevice : move RTM_DELLINK to until after ndo_uninit
    - LP: #1525324
  * rtnetlink: delay RTM_DELLINK notification until after ndo_uninit()
    - LP: #1525324
  * Drivers: hv: Eliminate the channel spinlock in the callback path
    - LP: #1519897
  * Drivers: hv: vmbus: Implement per-CPU mapping of relid to channel
    - LP: #1519897
  * Drivers: hv: vmbus: Suport an API to send pagebuffers with additional
    control
    - LP: #1519897
  * Drivers: hv: vmbus: Suport an API to send packet with additional
    control
    - LP: #1519897
  * Drivers: hv: vmbus: Export the vmbus_sendpacket_pagebuffer_ctl()
    - LP: #1519897
  * Drivers: hv: vmbus: Fix a siganlling host signalling issue
    - LP: #1519897
  * Drivers: hv: vmbus: Fix a Host signaling bug
    - LP: #1519897
  * ARC: Fix silly typo in MAINTAINERS file
    - LP: #1538756
  * ip6mr: call del_timer_sync() in ip6mr_free_table()
    - LP: #1538756
  * gre6: allow to update all parameters via rtnl
    - LP: #1538756
  * atl1c: Improve driver not to do order 4 GFP_ATOMIC allocation
    - LP: #1538756
  * sctp: use the same clock as if sock source timestamps were on
    - LP: #1538756
  * sctp: update the netstamp_needed counter when copying sockets
    - LP: #1538756
  * ipv6: sctp: clone options to avoid use after free
    - LP: #1538756
  * net: add validation for the socket syscall protocol argument
    - LP: #1538756
  * sh_eth: fix kernel oops in skb_put()
    - LP: #1538756
  * pptp: verify sockaddr_len in pptp_bind() and pptp_connect()
    - LP: #1538756
  * bluetooth: Validate socket address length in sco_sock_bind().
    - LP: #1538756
  * af_unix: Revert 'lock_interruptible' in stream receive code
    ...

Read more...

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2016-02-22
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers